## cipux-object 3.4.0.3

=== debian/changelog ===
cipux-object (3.4.0.3-3) unstable; urgency=low

  * Fix include config defaults.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jun 2010 00:58:35 +0200

cipux-object (3.4.0.3-2) unstable; urgency=low

  [ Xavier Oswald ]
  * Update my mail address

  [ Jonas Smedegaard ]
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Declare package relations recursively expanded.
  * Update copyright file to reflect no longer shipped forked CDBS
    snippets: update years; drop Colin Walters as owner.
  * Tighten build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Apr 2010 18:18:45 +0200

cipux-object (3.4.0.3-1) unstable; urgency=low

  * Update local CDBS snippets:
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
    + perl-build.mk:
      - Relax build-dependency on perl to be unversioned (see bug#525190
        and perl policy 3.8.3).
  * Build unversioned on cdbs and perl, thanks to CDBS dependency
    tracking.
  * Bump Standards-Version to 3.8.4.
  * Refer to FSF website (not postal address) in licensing headers of
    Debian packaging files.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Bump some coyright years.
    + Fix include disclaimer in GPL-2+ section of copyright.
    + Add reference to FSF website.
  * Use source format '3.0 "quilt"'.
  * Stop conditionally enabling DEB_AUTO_UPDATE_DEBIAN_CONTROL (adopted
    upstream since CDBS 0.4.67), to not bogusly upset lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Feb 2010 23:37:31 +0100

cipux-object (3.4.0.2-2) unstable; urgency=low

  * Fix resolving package-relations in cdbs package-relations.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Aug 2009 11:30:42 +0200

cipux-object (3.4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on libtest-refcount-perl and libtest-leaktrace-perl.
  * Bump policy compliance to standards version 3.8.2.
  * Update debian/copyright: New author (same licensing).
  * Update package-relations.mk: Cleanup unversioned+versioned
    dependency mix. Improve whitespace cleanup. Rewrite and silence
    applying dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Aug 2009 10:01:17 +0200

cipux-object (3.4.0.0-2) unstable; urgency=low

  * Build-depend on recent perl-modules (favored over
    libtest-simple-perl).
  * Fix typo in README.source.
  * Extend local CDBS snippet package-relations.mk to support all kinds
    of dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 May 2009 16:51:17 +0200

cipux-object (3.4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add README.source.
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Add local CDBS snippet upstream-tarball.mk.
  * Drop custom hints in source about use of CDBS (standard
    README.source used now).
  * Bump standards-version to 3.8.1.
  * Update copuright and licensing info:
    + Add proper copyright header to debian/rules.
    + Fix and update copyright years
    + Add verbatim copyright statement
    + Merge entries with same owner and license (only years differing)
    + update copyright-hints
  * Add watch file.
  * Tighten (build-)dependencies on libmodule-build-cipux-perl,
    libcipux-perl and libcipux-storage-perl.
  * No longer install config files or example files (dropped upstream).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Mar 2009 09:48:40 +0100

cipux-object (3.4.0~svn3015-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2009 04:44:43 +0100

cipux-object (3.4.0~svn2980-2) experimental; urgency=low

  * Install debian-edu configfiles as sample files.
  * Fix CDBS snippets to never use dash in variable names.
  * Fix licence-term -> license, and bump to copyright format spec v420.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Dec 2008 19:27:52 +0100

cipux-object (3.4.0~svn2980-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.
  * Update copyright hints (no new owners or licenses).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Dec 2008 02:40:45 +0100

cipux-object (3.4.0~svn2977-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.
  * Build-depend and depend on libcipux-perl (not libcipux-common-perl).
  * Build-depend and depend on libcrypt-smbhash-perl.
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
  * Update debian/copyright and copyright hints:
    + Add info on CDBS snippets (new owners, no new licenses)
    + Bump to version 413 of new format (no structural changes)
  * Semi-auto-update debian/control to update build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Dec 2008 01:29:39 +0100

cipux-object (3.4.0~svn2751-1) experimental; urgency=low

  * New snapshot of upstream Subversion repository.
  * Drop depending on libdate-manip-perl no longer needed by upstream
    code.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2008 19:06:19 +0200

cipux-object (3.4.0~svn2549-1) experimental; urgency=low


