=== debian/control ===
Source: cipux-object
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Christian Kuelker <christian.kuelker@cipworx.org>, Xavier Oswald <xoswald@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.78~),
 debhelper (>= 6),
 libclass-std-perl (>= 0.0.9),
 libcipux-perl (>= 3.4.0.0),
 libcipux-storage-perl (>= 3.4.0.0),
 libhash-merge-perl,
 liblog-log4perl-perl,
 libreadonly-perl,
 libversion-perl,
 libcrypt-smbhash-perl,
 libmodule-build-cipux-perl (>= 0.3.0),
 perl-modules (>= 5.10.0-19) | libtest-simple-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl (>= 1.14),
 libtest-pod-coverage-perl (>= 1.04),
 libtest-refcount-perl,
 libtest-leaktrace-perl
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-object.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-object.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-object-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: cipux-object-tools
Description: object layer of CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains CipUX::Object, the CipUX object layer - a generic
 abstract class, which can be used by other classes or scripts.

Package: cipux-object-tools
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Description: Commandline object-related tools for CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains commandline tools to interact with the object
 layer of CipUX.
