## cipux-object 3.4.0.5

=== debian/changelog ===
cipux-object (3.4.0.5-2build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:25:57 +0100

cipux-object (3.4.0.5-2) unstable; urgency=low

  * Improve package relations:
    + Drop relations for packages part of core Perl even in oldstable:
      - libversion-perl
      - libtest-simple-perl
    + Relax to unversioned relations when satisfied even in oldstable:
      - libclass-std-perl
      - libtest-pod-perl
      - libtest-pod-coverage-perl
    + Drop TODO file: Obsoleted by above.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Wrap Uploaders field in control file.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2011 10:37:43 +0200

cipux-object (3.4.0.5-1) unstable; urgency=low

  * New upstream release.
  * Extend a copyright year.
  * Stop build-depending on libmodule-build-cipux-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 08:14:51 +0200

cipux-object (3.4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Tighten (build-)dependency on libcipux-perl.
  * Bump Policy compliance to standards-version 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Jul 2010 03:54:35 +0200
