=== debian/control ===
--- 
+++ 
@@ -2,29 +2,28 @@
 Section: perl
 Priority: optional
 Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>, Christian Kuelker <christian.kuelker@cipworx.org>, Xavier Oswald <xoswald@debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>,
+ Christian Kuelker <christian.kuelker@cipworx.org>,
+ Xavier Oswald <xoswald@debian.org>
 Build-Depends: devscripts (>= 2.10.7~),
- dh-buildinfo,
  perl,
  perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
- cdbs (>= 0.4.78~),
- debhelper (>= 6),
- libclass-std-perl (>= 0.0.9),
- libcipux-perl (>= 3.4.0.0),
+ cdbs (>= 0.4.85~),
+ debhelper (>= 7.0.1),
+ dh-buildinfo,
+ libclass-std-perl,
+ libcipux-perl (>= 3.4.0.11~),
  libcipux-storage-perl (>= 3.4.0.0),
  libhash-merge-perl,
  liblog-log4perl-perl,
  libreadonly-perl,
- libversion-perl,
  libcrypt-smbhash-perl,
- libmodule-build-cipux-perl (>= 0.3.0),
- perl-modules (>= 5.10.0-19) | libtest-simple-perl,
  libtest-perl-critic-perl,
- libtest-pod-perl (>= 1.14),
- libtest-pod-coverage-perl (>= 1.04),
+ libtest-pod-perl,
+ libtest-pod-coverage-perl,
  libtest-refcount-perl,
  libtest-leaktrace-perl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/cipux-object.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-object.git;a=summary
 Homepage: http://www.cipux.org/
