=== debian/rules ===
--- 
+++ 
@@ -25,23 +25,19 @@
 
 DEB_UPSTREAM_PACKAGE = CipUX-Object
 DEB_UPSTREAM_URL = http://release.cipux.org
-DEB_UPSTREAM_TARBALL_MD5 = 31376b216dd909c550c87fb6b5c83ae1
+DEB_UPSTREAM_TARBALL_MD5 = 7c1372e603521df0147a082e248d12f2
 
 # Install through debhelper.mk (not directly with perl-build.mk)
 DEB_PERL_DESTDIR = $(cdbs_curdestdir)
 DEB_DH_INSTALL_SOURCEDIR = $(DEB_PERL_DESTDIR)
 
 # Needed both by upstream build (or test) process and at runtime
-# TODO: Drop libversion-perl after Lenny+1
-common-depends = libclass-std-perl (>= 0.0.9), libcipux-perl (>= 3.4.0.0), libcipux-storage-perl (>= 3.4.0.0), libhash-merge-perl, liblog-log4perl-perl, libreadonly-perl, libversion-perl, libcrypt-smbhash-perl
+common-depends = libclass-std-perl, libcipux-perl (>= 3.4.0.11~), libcipux-storage-perl (>= 3.4.0.0), libhash-merge-perl, liblog-log4perl-perl, libreadonly-perl, libcrypt-smbhash-perl
 CDBS_DEPENDS_$(pkg_lib) = $(common-depends)
 CDBS_BUILD_DEPENDS += , $(common-depends)
 
-# Needed by upstream build process
-CDBS_BUILD_DEPENDS += , libmodule-build-cipux-perl (>= 0.3.0)
-
 # Needed by upstream tests
-CDBS_BUILD_DEPENDS += , perl-modules (>= 5.10.0-19) | libtest-simple-perl, libtest-perl-critic-perl, libtest-pod-perl (>= 1.14), libtest-pod-coverage-perl (>= 1.04), libtest-refcount-perl, libtest-leaktrace-perl
+CDBS_BUILD_DEPENDS += , libtest-perl-critic-perl, libtest-pod-perl, libtest-pod-coverage-perl, libtest-refcount-perl, libtest-leaktrace-perl
 
 # Needed at runtime
 CDBS_DEPENDS_cipux-object-tools = $(pkg_lib), libcipux-perl
